Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 384)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 385)
@@ -49,7 +49,8 @@
         private enum DispColumn
         {
             // 請求書データ（自動入力）
-            No = 0,                                                             // No.
+            KB = 0,                                                             // ■KB
+            No,                                                             // No.
             RequestMonth,                                                       // ■請求月
             RequestNo,                                                          // ■請求書No.
             OrderersDivision,                                                   // ■発注者区分
@@ -66,7 +67,8 @@
             
             // 入金明細データ（工事担当入力欄）
             OrderNo,                                                            // ■受付番号
-            DepositAmount,                                                      // 入金金額
+            DepositAmount,                                                      // 入金金額（税抜）
+            TaxAmount,                                                          // 入金金額（消費税）
             DiscountAmount,                                                     // 値引金額
             CnstrPrice,                                                         // 協力金
             Fees,                                                               // 手数料
@@ -118,7 +120,8 @@
 
             // 入金明細データ
             OrderNo,                                                            // ■受付番号
-            DepositAmount,                                                      // 入金金額
+            DepositAmount,                                                      // 入金金額（税抜き）
+            TaxAmount,                                                          // 入金金額（消費税）
             DiscountAmount,                                                     // 値引金額
             CnstrPrice,                                                         // 協力金
             Fees,                                                               // 手数料
@@ -140,8 +143,10 @@
         }
         #endregion
 
+        #region 金額最大最小値
         private const long amount_max = 9999999999;             // 金額最大
         private const long amount_min = -9999999999;            // 金額最小
+        #endregion
 
         #endregion
 
@@ -270,6 +275,7 @@
             public long BillPrice;
             public long TaxPrice;
             public long DepositAmount;
+            public long TaxAmount;
             public long DiscountAmount;
             public long CnstrPrice;
             public long Fees;
@@ -389,6 +395,17 @@
 
                 SetGridHeaderColor();
                 DisplayData();
+
+                // 入金入力ができる権限以外は入金入力ボタンを非表示
+                if (CommonMotions.LoginUserData.DepartmentCode == CommonDefine.s_GeneralAffairsDevision ||
+                    m_UserInfo.m_Type == CommonDefine.SecurityRankPos.SpecialAuthority)
+                {
+                    DepositBtn.Visible = true;
+                }
+                else
+                {
+                    DepositBtn.Visible = false;
+                }
             }
             catch (Exception ex)
             {
@@ -396,9 +413,9 @@
             }
             finally
             {
-                dgvMaster.CellDoubleClick += DataGridView_DoubleCellClick;
-                dgvMaster.CellEnter += DataGridView_CellEnter;
-                dgvMaster.CellValueChanged += DataGridView_CellValueChanged;
+                //dgvMaster.CellDoubleClick += DataGridView_DoubleCellClick;
+                //dgvMaster.CellEnter += DataGridView_CellEnter;
+                //dgvMaster.CellValueChanged += DataGridView_CellValueChanged;
 
                 IoDd.close();
                 IoDd = null;
@@ -514,6 +531,56 @@
         }
         #endregion
 
+        #region 入金入力ボタンクリック時のイベント
+        /// <summary>
+        /// 入金入力ボタンクリック時のイベント
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void DepositBtn_Click(object sender, EventArgs e)
+        {
+            dgvMaster.CellDoubleClick -= DataGridView_DoubleCellClick;
+            dgvMaster.CellEnter -= DataGridView_CellEnter;
+            dgvMaster.CellValueChanged -= DataGridView_CellValueChanged;
+            try
+            {
+                var cells = dgvMaster.Rows[dgvMaster.CurrentCell.RowIndex].Cells;
+                var checkTargetMonth = CommonMotions.cnvInt(cells[(int)DispColumn.RequestMonth].Value);
+                // 行インデックスが不正な場合はスルー
+                if (dgvMaster.CurrentCell.RowIndex == -1 || checkTargetMonth == 0)
+                {
+                    return;
+                }
+
+                // 入金入力画面の表示
+                if (CommonMotions.LoginUserData.DepartmentCode == CommonDefine.s_GeneralAffairsDevision ||
+                    m_UserInfo.m_Type == CommonDefine.SecurityRankPos.SpecialAuthority)
+                {
+                    if (isDirty && MessageBox.Show("データに変更があります、登録せずに入金入力を行いますか？", "終了確認", MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                    {
+                        return;
+                    }
+                    var orderersDiv = CommonMotions.cnvInt(cells[(int)DispColumn.OrderersDivision].Value);
+                    var orderersCode = CommonMotions.cnvInt(cells[(int)DispColumn.OrderersCode].Value);
+                    string reqDate = CommonMotions.cnvInt(cells[(int)DispColumn.RequestMonth].Value).ToString();
+
+                    EntryDeposit(orderersDiv, orderersCode, reqDate);
+                    return;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                dgvMaster.CellDoubleClick += DataGridView_DoubleCellClick;
+                dgvMaster.CellEnter += DataGridView_CellEnter;
+                dgvMaster.CellValueChanged += DataGridView_CellValueChanged;
+            }
+        }
+        #endregion
+
         #region 登録ボタンクリック時のイベント
         /// <summary>
         /// 登録ボタンクリック時のイベント
@@ -560,6 +627,7 @@
                             RequestNo = depositDetail.RequestNo,
                             OrderNo = depositDetail.OrderNo,
                             DepositAmount = depositDetail.DepositAmount,
+                            TaxAmount = depositDetail.TaxAmount,
                             DiscountAmount = depositDetail.DiscountAmount,
                             CnstrPrice = depositDetail.CnstrPrice,
                             Fees = depositDetail.Fees,
@@ -605,7 +673,6 @@
                                     throw new Exception();
                                 }
                             }
-
                         }
                     }
                 }
@@ -651,8 +718,10 @@
             dgvMaster.CellValueChanged -= DataGridView_CellValueChanged;
             try
             {
+                var cells = dgvMaster.Rows[e.RowIndex].Cells;
+                var checkTargetMonth = CommonMotions.cnvInt(cells[(int)DispColumn.RequestMonth].Value);
                 // 行インデックスが不正な場合はスルー
-                if (e.RowIndex == -1)
+                if (e.RowIndex == -1 || checkTargetMonth ==0)
                 {
                     return;
                 }
@@ -661,11 +730,13 @@
                 if (e.ColumnIndex == (int)DispColumn.DepositAmountBill
                     || e.ColumnIndex == (int)DispColumn.DepositAmountCash)
                 {
-                    if (CommonMotions.LoginUserData.DepartmentCode == 4 ||
-                        CommonMotions.LoginUserData.SecCode == 2 ||
+                    if (CommonMotions.LoginUserData.DepartmentCode == CommonDefine.s_GeneralAffairsDevision ||
                         m_UserInfo.m_Type == CommonDefine.SecurityRankPos.SpecialAuthority)
                     {
-                        var cells = dgvMaster.Rows[e.RowIndex].Cells;
+                        if (isDirty && MessageBox.Show("データに変更があります、登録せずに入金入力を行いますか？", "終了確認", MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                        {
+                            return;
+                        }
                         var orderersDiv = CommonMotions.cnvInt(cells[(int)DispColumn.OrderersDivision].Value);
                         var orderersCode = CommonMotions.cnvInt(cells[(int)DispColumn.OrderersCode].Value);
                         string reqDate = CommonMotions.cnvInt(cells[(int)DispColumn.RequestMonth].Value).ToString();
@@ -681,11 +752,13 @@
                     // エラー表示解除
                     UnsetErrorDisp();
 
-                    var cells = dgvMaster.Rows[e.RowIndex].Cells;
                     // 自分以外のセルは編集不可
-                    if (CommonMotions.cnvInt(dgvMaster[(int)DispColumn.ConfirmationPersonCode, e.RowIndex].Value) != CommonMotions.LoginUserData.PersonCode)
+                    if (m_UserInfo.m_Type != CommonDefine.SecurityRankPos.SpecialAuthority)
                     {
-                        return;
+                        if (CommonMotions.cnvInt(dgvMaster[(int)DispColumn.ConfirmationPersonCode, e.RowIndex].Value) != CommonMotions.LoginUserData.PersonCode)
+                        {
+                            return;
+                        }
                     }
 
                     var depositOrderer = FindDepositOrderer(e.RowIndex);
@@ -829,6 +902,7 @@
             int trow = e.RowIndex;
 
             if ((tcol == (int)DispColumn.DepositAmount) ||
+                (tcol == (int)DispColumn.TaxAmount) ||
                 (tcol == (int)DispColumn.DiscountAmount) ||
                 (tcol == (int)DispColumn.CnstrPrice) ||
                 (tcol == (int)DispColumn.Fees) ||
@@ -872,6 +946,7 @@
             dgvMaster.CellDoubleClick -= DataGridView_DoubleCellClick;
             dgvMaster.CellEnter -= DataGridView_CellEnter;
             dgvMaster.CellValueChanged -= DataGridView_CellValueChanged;
+            bool sumDataCheck = false;
             try
             {
 
@@ -899,6 +974,7 @@
                 var depositOrderer = FindDepositOrderer(key.OrderersDivision, key.OrderersCode);
 
                 if ((e.ColumnIndex == (int)DispColumn.DepositAmount) ||
+                    (e.ColumnIndex == (int)DispColumn.TaxAmount) ||
                     (e.ColumnIndex == (int)DispColumn.DiscountAmount) ||
                     (e.ColumnIndex == (int)DispColumn.CnstrPrice) ||
                     (e.ColumnIndex == (int)DispColumn.Fees) ||
@@ -911,6 +987,7 @@
 
                 // 入金明細金額を編集
                 if (e.ColumnIndex == (int)DispColumn.DepositAmount
+                    || e.ColumnIndex == (int)DispColumn.TaxAmount
                     || e.ColumnIndex == (int)DispColumn.DiscountAmount
                     || e.ColumnIndex == (int)DispColumn.CnstrPrice
                     || e.ColumnIndex == (int)DispColumn.Fees
@@ -925,25 +1002,36 @@
                         case (int)DispColumn.DepositAmount:
                             depositDetail.DepositAmount = amount;
                             bUpdateCarryAmount = true;
+                            sumDataCheck = true;
                             break;
+                        case (int)DispColumn.TaxAmount:
+                            depositDetail.TaxAmount = amount;
+                            bUpdateCarryAmount = true;
+                            sumDataCheck = true;
+                            break;
                         case (int)DispColumn.DiscountAmount:
                             depositDetail.DiscountAmount = amount;
                             bUpdateCarryAmount = true;
+                            sumDataCheck = true;
                             break;
                         case (int)DispColumn.CnstrPrice:
                             depositDetail.CnstrPrice = amount;
                             bUpdateCarryAmount = true;
+                            sumDataCheck = true;
                             break;
                         case (int)DispColumn.Fees:
                             depositDetail.Fees = amount;
                             bUpdateCarryAmount = true;
+                            sumDataCheck = true;
                             break;
                         case (int)DispColumn.OtherAdjustments:
                             depositDetail.OtherAdjustments = amount;
                             bUpdateCarryAmount = true;
+                            sumDataCheck = true;
                             break;
                         case (int)DispColumn.DifferentAmount:
                             depositDetail.DifferenceAmount = amount;
+                            sumDataCheck = true;
                             break;
                     }
                     long RequestAmount = depositDetail.BillPrice + depositDetail.TaxPrice;
@@ -951,7 +1039,7 @@
                     // 繰越金以外を修正した場合、
                     if (bUpdateCarryAmount == true)
                     {
-                        long DepositAmount = depositDetail.DepositAmount + depositDetail.DiscountAmount
+                        long DepositAmount = depositDetail.DepositAmount + depositDetail.TaxAmount + depositDetail.DiscountAmount
                             + depositDetail.CnstrPrice + depositDetail.Fees + depositDetail.OtherAdjustments;
                         depositDetail.DifferenceAmount = DepositAmount - RequestAmount;
                     }
@@ -973,7 +1061,21 @@
                     depositDetail.Editted = true;
                 }
                 var headerIndex = DetectHeaderIndex(e.RowIndex);
-                UpdateDepositOrdererRows(depositOrderer, headerIndex);
+                
+                //編集したカラムの修正
+                UpdateDepositOrdererRows(depositOrderer, e.RowIndex);
+
+                //合計行の修正
+                if (sumDataCheck)
+                {
+                    var sumRowIndex = DetectSumIndex(e.RowIndex);
+                    var depositOrdererSum = new DepositOrderer();
+                    depositOrdererSum.KB = 3;
+                    depositOrdererSum.OrderersCode = depositOrderer.OrderersCode;
+                    depositOrdererSum.OrderersDivision = depositOrderer.OrderersDivision;
+                    depositOrdererSum.RequestMonth = depositOrderer.RequestMonth;
+                    UpdateDepositOrdererRows(depositOrdererSum, sumRowIndex);
+                }
                 dgvMaster.CurrentCell = dgvMaster[e.ColumnIndex, e.RowIndex];
                 isDirty = true;
             }
@@ -1012,8 +1114,18 @@
             var data = new List<DepositOrderer>();
             var no = 1;
 
+            bool sumDataBool = false;
+            bool lastSumDataCheck = false;
+            int invoiceDataCount = invoiceData.Count();
+            int dataCount = 0;
+            var oSumV = new DepositOrderer();
+            var oEmpty = new DepositOrderer();
+
             foreach (var invoice in invoiceData)
             {
+                // 最終行確認用
+                dataCount = dataCount + 1;
+
                 // 請求先情報
                 var o = new DepositOrderer();
                 o.KB = CommonMotions.cnvInt(invoice[(int)GetDataFirst.KB]);
@@ -1022,27 +1134,63 @@
                 o.OrderersDivision = CommonMotions.cnvInt(invoice[(int)GetDataFirst.OrderersDivision]);
                 o.OrderersName = CommonMotions.cnvString(invoice[(int)GetDataFirst.OrderersName]);
 
-                // 表示権限がない場合は次へ
-                if (!CheckOrdererPermission(o))
+                if (o.KB == 1)
                 {
-                    continue;
-                }
+                    // 最終行ではない場合は合計行と空行を挿入する
+                    if (invoiceDataCount != dataCount)
+                    {
+                        if (sumDataBool == true)
+                        {
+                            // 合計行用のデータを追加
+                            data.Add(oSumV);
 
-                if (o.KB == 1)
-                {
+                            // 空行用のデータを追加
+                            data.Add(oEmpty);
+
+                            sumDataBool = false;
+                            lastSumDataCheck = false;
+                        }
+                    }
                     o.No = 0;
                 }
                 else
                 {
+                    if (sumDataBool == false)
+                    {
+                        //合計行用データの作成
+                        var oSum = new DepositOrderer();
+                        var dSum = new Deposit();
+
+                        oSum.KB = 3;
+                        oSum.RequestMonth = m_Select_TargetDate;
+                        oSum.OrderersCode = CommonMotions.cnvInt(invoice[(int)GetDataFirst.OrderersCode]);
+                        oSum.OrderersDivision = CommonMotions.cnvInt(invoice[(int)GetDataFirst.OrderersDivision]);
+                        oSum.Deposits = new List<Deposit>();
+                        dSum.SeqNo = CommonMotions.cnvInt(invoice[(int)GetDataFirst.SeqNoD]);
+                        dSum.DepositDate = CommonMotions.cnvString(invoice[(int)GetDataFirst.DepositDate]);
+                        dSum.DepositAmountCash = CommonMotions.cnvLong(invoice[(int)GetDataFirst.DepositAmountCash]);
+                        dSum.DepositAmountBill = CommonMotions.cnvLong(invoice[(int)GetDataFirst.DepositAmountBill]);
+                        dSum.Note = CommonMotions.cnvString(invoice[(int)GetDataFirst.NoteD]);
+                        oSum.Deposits.Add(dSum);
+                        oSumV = oSum;
+
+                        //空行用のデータの作成
+                        var oEmp = new DepositOrderer();
+                        oEmpty.KB = 4;
+                        oEmp.RequestMonth = m_Select_TargetDate;
+                        oEmp.OrderersCode = CommonMotions.cnvInt(invoice[(int)GetDataFirst.OrderersCode]);
+                        oEmp.OrderersDivision = CommonMotions.cnvInt(invoice[(int)GetDataFirst.OrderersDivision]);
+                        oEmpty = oEmp;
+                        sumDataBool = true;
+                        lastSumDataCheck = true;
+                    }
                     o.No = no;
                     no++;
                 }
-
                 o.Deposits = new List<Deposit>();
                 o.DepositDetails = new List<DepositDetail>();
 
                 // 入金データ情報
-
                 var d = new Deposit();
                 d.SeqNo = CommonMotions.cnvInt(invoice[(int)GetDataFirst.SeqNoD]);
                 d.DepositDate = CommonMotions.cnvString(invoice[(int)GetDataFirst.DepositDate]);
@@ -1066,6 +1214,7 @@
                 dd.BillPrice = CommonMotions.cnvLong(invoice[(int)GetDataFirst.BillPrice]);
                 dd.TaxPrice = CommonMotions.cnvLong(invoice[(int)GetDataFirst.TaxPrice]);
                 dd.DepositAmount = CommonMotions.cnvLong(invoice[(int)GetDataFirst.DepositAmount]);
+                dd.TaxAmount = CommonMotions.cnvLong(invoice[(int)GetDataFirst.TaxAmount]);
                 dd.DiscountAmount = CommonMotions.cnvLong(invoice[(int)GetDataFirst.DiscountAmount]);
                 dd.CnstrPrice = CommonMotions.cnvLong(invoice[(int)GetDataFirst.CnstrPrice]);
                 dd.Fees = CommonMotions.cnvLong(invoice[(int)GetDataFirst.Fees]);
@@ -1083,7 +1232,8 @@
                 dd.ConstrSubPersonCode = CommonMotions.cnvInt(invoice[(int)GetDataFirst.ConstrSubPersonCode]);
                 dd.ConstructionInstructor = CommonMotions.cnvInt(invoice[(int)GetDataFirst.ConstructionInstructor]);
 
-                dd.Visible = CheckPermission(dd.DepartmentCode, dd.ConstructionPersonCode, dd.ConstrSubPersonCode, dd.ConstructionInstructor);
+                //dd.Visible = CheckPermission(dd.DepartmentCode, dd.ConstructionPersonCode, dd.ConstrSubPersonCode, dd.ConstructionInstructor);
+                dd.Visible = true;
                 dd.ConfirmationDate = "";
                 if (CommonMotions.cnvString(invoice[(int)GetDataFirst.ConfirmationDate]) != "0001-01-01")
                     dd.ConfirmationDate = CommonMotions.cnvString(invoice[(int)GetDataFirst.ConfirmationDate]);
@@ -1091,6 +1241,13 @@
                 o.DepositDetails.Add(dd);
 
                 data.Add(o);
+
+                // 最終行かつ最後の請求データに請求書データがない場合に合計行のみ追加する
+                if (lastSumDataCheck && invoiceDataCount == dataCount)
+                {
+                    // 合計行用のデータを追加
+                    data.Add(oSumV);
+                }
             }
             return data;
         }
@@ -1129,6 +1286,7 @@
                 sql.Append("   , NULL AS NOTE ");
                 sql.Append("   , NULL AS ORDERNO ");
                 sql.Append("   , NULL AS DEPOSITAMOUNT ");
+                sql.Append("   , NULL AS TAXAMOUNT ");
                 sql.Append("   , NULL AS DISCOUNTAMOUNT ");
                 sql.Append("   , NULL AS CNSTRPRICE ");
                 sql.Append("   , NULL AS FEES ");
@@ -1173,6 +1331,7 @@
                 sql.Append("   , NULL AS NOTE ");
                 sql.Append("   , H.ORDERNO ");
                 sql.Append("   , DPDE.DEPOSITAMOUNT ");
+                sql.Append("   , DPDE.TAXAMOUNT ");
                 sql.Append("   , DPDE.DISCOUNTAMOUNT ");
                 sql.Append("   , DPDE.CNSTRPRICE ");
                 sql.Append("   , DPDE.FEES ");
@@ -1329,6 +1488,52 @@
         }
         #endregion
 
+        #region 入金明細の合計を取得
+        /// <summary>
+        /// 入金合計を取得
+        /// </summary>
+        /// <returns></returns>
+        private ArrayList DepositDetailSumCalc(int orderersDiv, int orderersCd, int targetDate)
+        {
+            var ivD = new IODepositData();
+
+            try
+            {
+                var sql = new StringBuilder();
+                sql.Append(" SELECT ");
+                sql.Append("   SUM(DEPOSITAMOUNT) ");
+                sql.Append("   , SUM(TAXAMOUNT) ");
+                sql.Append("   , SUM(DISCOUNTAMOUNT) ");
+                sql.Append("   , SUM(CNSTRPRICE) ");
+                sql.Append("   , SUM(FEES) ");
+                sql.Append("   , SUM(OTHERADJUSTMENTS) ");
+                sql.Append("   , SUM(DIFFERENCEAMOUNT) ");
+                sql.Append(" FROM ");
+                sql.Append("   DEPOSITDATADETAIL ");
+                sql.Append(" WHERE ");
+                sql.AppendFormat(" ORDERERSDIVISION = {0} ", orderersDiv);
+                sql.AppendFormat(" AND ORDERERSCODE = {0} ", orderersCd);
+                sql.AppendFormat(" AND TARGETDATE = {0} ", targetDate);
+                var data = new ArrayList();
+                if (!ivD.ExecuteReader(sql.ToString(), ref data))
+                {
+                    return new ArrayList();
+                }
+                return data;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return new ArrayList();
+            }
+            finally
+            {
+                ivD.close();
+                ivD = null;
+            }
+        }
+        #endregion
+
         #region 変更行の内容を更新する。
         /// <summary>
         /// 変更行の内容を更新する。
@@ -1380,51 +1585,24 @@
 
                 if (depositOrderer.KB == 1)
                 {
+                    // 表示権限確認
+                    var visibleCheck = CheckPermission(depositOrderer);
+                    dgvMaster.Rows[position].Visible = visibleCheck;
+
                     // 請求先情報の表示
+                    ordererRow.Cells[(int)DispColumn.KB].Style.BackColor = Color.Gainsboro;
                     ordererRow.Cells[(int)DispColumn.No].Style.BackColor = Color.Gainsboro;
                     ordererRow.Cells[(int)DispColumn.RequestMonth].Style.BackColor = Color.Gainsboro;
                     ordererRow.Cells[(int)DispColumn.OrderersName].Style.BackColor = Color.Gainsboro;
 
+                    ordererRow.Cells[(int)DispColumn.KB].Value = depositOrderer.KB;
                     ordererRow.Cells[(int)DispColumn.RequestMonth].Value = depositOrderer.RequestMonth;
                     ordererRow.Cells[(int)DispColumn.OrderersDivision].Value = depositOrderer.OrderersDivision;
                     ordererRow.Cells[(int)DispColumn.OrderersCode].Value = depositOrderer.OrderersCode;
                     ordererRow.Cells[(int)DispColumn.OrderersName].Value = depositOrderer.OrderersName;
+                    ordererRow.Cells[(int)DispColumn.DepositAmountCash].Style.BackColor = Color.Gainsboro;
+                    ordererRow.Cells[(int)DispColumn.DepositAmountBill].Style.BackColor = Color.Gainsboro;
 
-                    // 入金金額の合計を算出
-                    int tgl = 1;
-                    var DepositSum = DepositSumCalc(depositOrderer.OrderersDivision, depositOrderer.OrderersCode, depositOrderer.RequestMonth, tgl).OfType<object[]>();
-                    int SumDepositAmountCash = 0;
-                    int SumDepositAmountBill = 0;
-                    foreach (var sum in DepositSum)
-                    {
-                        SumDepositAmountCash = CommonMotions.cnvInt(sum[0]);
-                        SumDepositAmountBill = CommonMotions.cnvInt(sum[1]);
-                    }
-
-                    // 請求金額合計の合計を算出
-                    var RequestSum = RequestSumCalc(depositOrderer.OrderersDivision, depositOrderer.OrderersCode, depositOrderer.RequestMonth, tgl).OfType<object[]>();
-                    int SumRequestBill = 0;
-                    int SumRequestTax = 0;
-                    foreach (var sum in RequestSum)
-                    {
-                        SumRequestBill = CommonMotions.cnvInt(sum[0]);
-                        SumRequestTax = CommonMotions.cnvInt(sum[1]);
-                    }
-
-
-
-                    index = 0;
-                    foreach (var deposit in depositOrderer.VisibleDeposits)
-                    {
-                        var row = dgvMaster.Rows[position + index];
-                        ordererRow.Cells[(int)DispColumn.DepositAmountCash].Style.BackColor = Color.Gainsboro;
-                        ordererRow.Cells[(int)DispColumn.DepositAmountBill].Style.BackColor = Color.Gainsboro;
-
-                        SetPrice(row.Cells, (int)DispColumn.DepositAmountCash, (long)SumDepositAmountCash);
-                        SetPrice(row.Cells, (int)DispColumn.DepositAmountBill, (long)SumDepositAmountBill);
-                        index++;
-                    }
-
                     // 入金明細情報の表示       
                     index = 0;
                     foreach (var depositDetail in depositOrderer.VisibleDepositDetails)
@@ -1438,10 +1616,8 @@
                         row.Cells[(int)DispColumn.TaxPrice].Style.BackColor = Color.Gainsboro;
                         row.Cells[(int)DispColumn.BillPrice].Style.BackColor = Color.Gainsboro;
 
-                        SetPrice(row.Cells, (int)DispColumn.BillPrice, SumRequestBill);
-                        SetPrice(row.Cells, (int)DispColumn.TaxPrice, SumRequestTax);
-
                         row.Cells[(int)DispColumn.DepositAmount].Style.BackColor = Color.Gainsboro;
+                        row.Cells[(int)DispColumn.TaxAmount].Style.BackColor = Color.Gainsboro;
                         row.Cells[(int)DispColumn.DiscountAmount].Style.BackColor = Color.Gainsboro;
                         row.Cells[(int)DispColumn.CnstrPrice].Style.BackColor = Color.Gainsboro;
                         row.Cells[(int)DispColumn.Fees].Style.BackColor = Color.Gainsboro;
@@ -1449,6 +1625,7 @@
                         row.Cells[(int)DispColumn.DifferentAmount].Style.BackColor = Color.Gainsboro;
 
                         row.Cells[(int)DispColumn.DepositAmount].ReadOnly = true;
+                        row.Cells[(int)DispColumn.TaxAmount].ReadOnly = true;
                         row.Cells[(int)DispColumn.DiscountAmount].ReadOnly = true;
                         row.Cells[(int)DispColumn.CnstrPrice].ReadOnly = true;
                         row.Cells[(int)DispColumn.Fees].ReadOnly = true;
